/* bmps.c
 *
 * Copyright (C) 1992, 1993, 1994 by Hirofumi Yamamoto
 *
 *                    All Rights Reserved
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of the author not be used in advertising or
 * publicity pertaining to distribution of the software without specific,
 * written prior permission.  The author makes no representations about the
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * Programmed by hirofumi@info.kawasaki-steel.co.jp for original version.
 *
 */


#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include "bmps.h"

#include "bmps/cg1"
#include "bmps/cg2"
#include "bmps/cg3"
#include "bmps/cg4"
#include "bmps/cg5"
#include "bmps/cg6"
#include "bmps/cg7"
#include "bmps/cg8"
#include "bmps/bomb"
#include "bmps/bombout"
#include "bmps/box"
#include "bmps/tile"
#include "bmps/pushedtile"
#include "bmps/tilebomb"
#include "bmps/question"

#include "bmps/niko1"
#include "bmps/niko2"
#include "bmps/niko3"
#include "bmps/niko4"
#include "bmps/nikoo"

#include "bmps/d0"
#include "bmps/d1"
#include "bmps/d2"
#include "bmps/d3"
#include "bmps/d4"
#include "bmps/d5"
#include "bmps/d6"
#include "bmps/d7"
#include "bmps/d8"
#include "bmps/d9"
#include "bmps/dminus"

#include "struct.h"

extern Widget toplevel;
extern Display *d;
extern Window r, w;
extern Window niko;
extern Window dig;

typedef unsigned char* up;

unsigned char* cgs[] = {
	(up)box_bits, (up)cg1_bits, (up)cg2_bits, (up)cg3_bits,
	(up)cg4_bits, (up)cg5_bits, (up)cg6_bits, (up)cg7_bits,
	(up)cg8_bits
};

unsigned char* dcgs[] = {
	(up)d0_bits, (up)d1_bits, (up)d2_bits, (up)d3_bits, (up)d4_bits,
	(up)d5_bits, (up)d6_bits, (up)d7_bits, (up)d8_bits, (up)d9_bits
};

unsigned char* nikos[] = {
	(up)niko1_bits, (up)niko2_bits, (up)niko3_bits, (up)niko4_bits
};

Pixmap bits[10];
Pixmap bomb;
Pixmap bombout;
Pixmap box;
Pixmap tile;
Pixmap pushedtile;
Pixmap tilebomb;
Pixmap question;
Pixmap bmp_niko[10];
Pixmap bmp_dcg[10];
Pixmap bmp_dminus;
Pixmap nikoniko;


void InitBmps()
{
    int i;
    for (i = 0; i < sizeOf(cgs); ++i)
	bits[i] = XCreateBitmapFromData(d, w, cgs[i], BMS, BMS);
    box = bits[0] = XCreateBitmapFromData(d, w, box_bits, BMS, BMS);
    bomb = XCreateBitmapFromData(d, w, bomb_bits, BMS, BMS);
    bombout = XCreateBitmapFromData(d, w, bombout_bits, BMS, BMS);
    tile = XCreateBitmapFromData(d, w, tile_bits, BMS, BMS);
    pushedtile = XCreateBitmapFromData(d, w, pushedtile_bits, BMS, BMS);
    tilebomb = XCreateBitmapFromData(d, w, tilebomb_bits, BMS, BMS);
    question = XCreateBitmapFromData(d, w, question_bits, BMS, BMS);
    nikoniko = XCreateBitmapFromData(d, niko, nikoo_bits, BMS, BMS);
    
    for (i = 0; i < sizeOf(nikos); ++i)
	bmp_niko[i] = XCreateBitmapFromData(d, niko, nikos[i], BMS, BMS);
    for (i = 0; i < sizeOf(dcgs); ++i)
	bmp_dcg[i] = XCreateBitmapFromData(d, dig, dcgs[i], BMS/2, BMS);
    bmp_dminus = XCreateBitmapFromData(d, dig, dminus_bits, BMS/2, BMS);
}
